
float VPdiffuseLighting()
{
	vec3 vpLightPos = normalize(mat3(gbufferModelViewInverse) * shadowLightPosition);

	float vpNdot = clamp(dot(vpLightPos, vpNormal),0.,1.);

	vpNdot = vpNdot*0.5 + 0.5;

	return vpNdot;

}
